TryCatchStatement (Groovy 4.0.10)

Package: org.codehaus.groovy.ast.stmt

## [Java] Class TryCatchStatement

- org.codehaus.groovy.ast.stmt.TryCatchStatement

-     public class TryCatchStatement
      extends Statement

  Represents a try { ... } catch () finally {} statement in Groovy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TryCatchStatement(Statement tryStatement, Statement finallyStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addCatch(CatchStatement catchStatement)`
    `` | `public void` | `addResource(ExpressionStatement resourceStatement)`
    `` | `public CatchStatement` | `getCatchStatement(int idx)` Returns: the catch statement of the given index or null
    `` | `public List<CatchStatement>` | `getCatchStatements()`
    `` | `public Statement` | `getFinallyStatement()`
    `` | `public ExpressionStatement` | `getResourceStatement(int idx)` Returns: the resource statement of the given index or null
    `` | `public List<ExpressionStatement>` | `getResourceStatements()`
    `` | `public Statement` | `getTryStatement()`
    `` | `public static boolean` | `isResource(Expression expression)`
    `` | `public void` | `setCatchStatement(int idx, CatchStatement catchStatement)`
    `` | `public void` | `setFinallyStatement(Statement finallyStatement)`
    `` | `public void` | `setTryStatement(Statement tryStatement)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, cancel, getConnection, isClosed, setQueryTimeout, getWarnings, clearWarnings, getFetchDirection, setFetchSize, setFetchDirection, getFetchSize, getResultSet, getUpdateCount, isPoolable, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeBatch, closeOnCompletion, getMoreResults, getMoreResults, setMaxFieldSize, getMaxFieldSize, getResultSetType, setPoolable, setLargeMaxRows, getQueryTimeout, addBatch, setMaxRows, setCursorName, clearBatch, getGeneratedKeys, executeQuery, getMaxRows, getLargeMaxRows, enquoteIdentifier, isSimpleIdentifier, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, enquoteLiteral, setEscapeProcessing, isCloseOnCompletion, enquoteNCharLiteral, getResultSetHoldability, getResultSetConcurrency, getLargeUpdateCount, unwrap, isWrapperFor`

- - ### Constructor Detail

    - #### public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

  - ### Method Detail

    - #### public void addCatch(CatchStatement catchStatement)

    - #### public void addResource(ExpressionStatement resourceStatement)

    - #### public CatchStatement getCatchStatement(int idx)

      Returns:
        the catch statement of the given index or null

    - #### public List<CatchStatement> getCatchStatements()

    - #### public Statement getFinallyStatement()

    - #### public ExpressionStatement getResourceStatement(int idx)

      Returns:
        the resource statement of the given index or null

    - #### public List<ExpressionStatement> getResourceStatements()

    - #### public Statement getTryStatement()

    - #### public static boolean isResource(Expression expression)

    - #### public void setCatchStatement(int idx, CatchStatement catchStatement)

    - #### public void setFinallyStatement(Statement finallyStatement)

    - #### public void setTryStatement(Statement tryStatement)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)